Subject: [Doh] DoH in getdns/Stubby

From: Willem Toorop <[email-masked]>
Date: Thu, 22 Mar 2018 12:08:23 +0000

For the record,

I started to work on DNS over HTTPS in getdns (and thus also Stubby)
during the hackathon too.  Stephane's asynchronous c-client
implementation[1] fits getdns' internals very well, but some
reorganizing of the surrounding managing architecture was needed to add
it as a new upstream transport type.  In the end I spend my time mostly
on paving the way for DNS over HTTPs, but I made good progress and
expect to have it available in an upcoming (perhaps beta) release, in
the not too remote future.

-- Willem

[1]
https://github.com/IETF-Hackathon/ietf101-project-presentations/blob/master/DoH/doh-nghttp.c